INTERFACE
SUBROUTINE SPDICO(KULDICO,KULOUT,KFIELD,KFLDSUR,&
 & KNSMAX,KSMXSUR,KASM0,KSPEC2,&
 & KNCMAX,KCMXSUR,KACM0,KCPEC2,&
 & KM,KDIR,PSPECS,PSPECC) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KFLDSUR
INTEGER(KIND=JPIM),INTENT(IN) :: KNSMAX
INTEGER(KIND=JPIM),INTENT(IN) :: KSPEC2
INTEGER(KIND=JPIM),INTENT(IN) :: KNCMAX
INTEGER(KIND=JPIM),INTENT(IN) :: KCPEC2
INTEGER(KIND=JPIM) :: KULDICO
INTEGER(KIND=JPIM) :: KULOUT
INTEGER(KIND=JPIM),INTENT(IN) :: KFIELD
INTEGER(KIND=JPIM),INTENT(IN) :: KSMXSUR
INTEGER(KIND=JPIM),INTENT(IN) :: KASM0(0:KNSMAX)
INTEGER(KIND=JPIM),INTENT(IN) :: KCMXSUR
INTEGER(KIND=JPIM),INTENT(IN) :: KACM0(0:KNCMAX)
INTEGER(KIND=JPIM),INTENT(IN) :: KM
INTEGER(KIND=JPIM),INTENT(IN) :: KDIR
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSPECS(KFLDSUR,KSPEC2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSPECC(KFLDSUR,KCPEC2)
END SUBROUTINE SPDICO
END INTERFACE
